Tree BG 1
Tree
Tree
TreeLeaves
TreeLeaves
Cat IdleGrassGrassRockRock

Beta Observability Evaluations Records Endpoints

(beta) Observability - Evaluations - Records API.

Get a specific record from an evaluation run

GET /v1/observability/evaluation-runs_v2/{run_id}/records/{record_id}#

Get a specific record from an evaluation run

200

Successful Response

created_at#
*date-time
dataset_record_id#
string|null
deleted_at#
*date-time|null
id#
*string
input#
*any
updated_at#
*date-time

Playground

Test the endpoints live

import { Mistral } from "@mistralai/mistralai";

const mistral = new Mistral({
  apiKey: "MISTRAL_API_KEY",
});

async function run() {
  const result = await mistral.beta.observability.evaluations.records.get({
    runId: "4561f251-c638-4a33-8739-db876b032f73",
    recordId: "24b40e66-4e0d-4788-bb5a-df09239c7ba9",
  });

  console.log(result);
}

run();
from mistralai.client import Mistral
import os


with Mistral(
    api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:

    res = mistral.beta.observability.evaluations.records.get(run_id="4561f251-c638-4a33-8739-db876b032f73", record_id="24b40e66-4e0d-4788-bb5a-df09239c7ba9")

    # Handle response
    print(res)

curl https://api.mistral.ai/v1/observability/evaluation-runs_v2/{run_id}/records/{record_id} \
 -X GET \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE'

200

{
  "created_at": "2025-12-17T10:25:07.818693Z",
  "deleted_at": null,
  "id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
  "input": null,
  "updated_at": "2025-12-17T10:41:03.469341Z"
}

Search records for an evaluation run with content filters

POST /v1/observability/evaluation-runs_v2/{run_id}/records/search#

Search records for an evaluation run with content filters

200

Playground

Test the endpoints live

import { Mistral } from "@mistralai/mistralai";

const mistral = new Mistral({
  apiKey: "MISTRAL_API_KEY",
});

async function run() {
  const result = await mistral.beta.observability.evaluations.records.search({
    runId: "3ec2a158-4bb7-4020-8a52-0f64a2745094",
  });

  console.log(result);
}

run();
from mistralai.client import Mistral
import os


with Mistral(
    api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:

    res = mistral.beta.observability.evaluations.records.search(run_id="3ec2a158-4bb7-4020-8a52-0f64a2745094", page_size=50, page=1)

    # Handle response
    print(res)

curl https://api.mistral.ai/v1/observability/evaluation-runs_v2/{run_id}/records/search \
 -X POST \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE' \
 -H 'Content-Type: application/json' \
 -d 'null'

200

{
  "records": {
    "count": 87
  }
}